/*!
  * Bootstrap v5.3.3 (https://getbootstrap.com/)
  * Copyright 2011-2023 The Bootstrap Authors (https://github.com/twbs/bootstrap/graphs/contributors)
  * Licensed under MIT (https://github.com/twbs/bootstrap/blob/main/LICENSE)
  */
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?module.exports=t(require("@popperjs/core")):"function"==typeof define&&define.amd?define(["@popperjs/core"],t):(e="undefined"!=typeof globalThis?globalThis:e||self).bootstrap=t(e.Popper)}(this,(function(e){"use strict";function t(e){const t=Object.create(null,{[Symbol.toStringTag]:{value:"Module"}});if(e)for(const n in e)if("default"!==n){const i=Object.getOwnPropertyDescriptor(e,n);Object.defineProperty(t,n,i.get?i:{enumerable:!0,get:()=>e[n]})}return t.default=e,Object.freeze(t)}const n=t(e);function i(e,t){for(var n=0;n<t.length;n++){var i=t[n];i.enumerable=i.enumerable||!1,i.configurable=!0,"value"in i&&(i.writable=!0),Object.defineProperty(e,(r=i.key,o=void 0,"symbol"==typeof(o=function(e,t){if("object"!=typeof e||null===e)return e;var n=e[Symbol.toPrimitive];if(void 0!==n){var i=n.call(e,t||"default");if("object"!=typeof i)return i;throw new TypeError("@@toPrimitive must return a primitive value.")}return("string"===t?String:Number)(e)}(r,"string"))?o:String(o)),i)}var r,o;
/**
   * --------------------------------------------------------------------------
   * Bootstrap dom/data.js
   * Licensed under MIT (https://github.com/twbs/bootstrap/blob/main/LICENSE)
   * --------------------------------------------------------------------------
   */
/**
   * Constants
   */}function r(e,t,n){return t&&i(e.prototype,t),n&&i(e,n),Object.defineProperty(e,"prototype",{writable:!1}),e}function o(){return o=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var i in n)Object.prototype.hasOwnProperty.call(n,i)&&(e[i]=n[i])}return e},o.apply(this,arguments)}function s(e,t){e.prototype=Object.create(t.prototype),e.prototype.constructor=e,a(e,t)}function a(e,t){return a=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},a(e,t)}function l(e){if(void 0===e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return e}function c(e,t){(null==t||t>e.length)&&(t=e.length);for(var n=0,i=new Array(t);n<t;n++)i[n]=e[n];return i}function u(e,t){var n="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(n)return(n=n.call(e)).next.bind(n);if(Array.isArray(e)||(n=function(e,t){if(e){if("string"==typeof e)return c(e,t);var n=Object.prototype.toString.call(e).slice(8,-1);return"Object"===n&&e.constructor&&(n=e.constructor.name),"Map"===n||"Set"===n?Array.from(e):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?c(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){n&&(e=n);var i=0;return function(){return i>=e.length?{done:!0}:{done:!1,value:e[i++]}}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var f=new Map;const h={set:function(e,t,n){f.has(e)||f.set(e,new Map);var i=f.get(e);
// make it clear we only want one instance per element
// can be removed later when multiple key/instances are fine to be used
i.has(t)||0===i.size?i.set(t,n):
// eslint-disable-next-line no-console
console.error("Bootstrap doesn't allow more than one instance per element. Bound instance: "+Array.from(i.keys())[0]+".")},get:function(e,t){return f.has(e)&&f.get(e).get(t)||null},remove:function(e,t){if(f.has(e)){var n=f.get(e);n.delete(t),
// free up element references if there are no instances left for an element
0===n.size&&f.delete(e)}}};
/**
   * --------------------------------------------------------------------------
   * Bootstrap util/index.js
   * Licensed under MIT (https://github.com/twbs/bootstrap/blob/main/LICENSE)
   * --------------------------------------------------------------------------
   */var d="transitionend",_=function(e){return e&&window.CSS&&window.CSS.escape&&(
// document.querySelector needs escaping to handle IDs (html5+) containing for instance /
e=e.replace(/#([^\s"#']+)/g,(function(e,t){return"#"+CSS.escape(t)}))),e},g=function(e){e.dispatchEvent(new Event(d))},p=function(e){return!(!e||"object"!=typeof e)&&(void 0!==e.jquery&&(e=e[0]),void 0!==e.nodeType)},m=function(e){
// it's a jQuery object or a node element
return p(e)?e.jquery?e[0]:e:"string"==typeof e&&e.length>0?document.querySelector(_(e)):null},v=function(e){if(!p(e)||0===e.getClientRects().length)return!1;var t="visible"===getComputedStyle(e).getPropertyValue("visibility"),n=e.closest("details:not([open])");
// Handle `details` element as its content may falsie appear visible when it is closed
if(!n)return t;if(n!==e){var i=e.closest("summary");if(i&&i.parentNode!==n)return!1;if(null===i)return!1}return t},b=function(e){return!e||e.nodeType!==Node.ELEMENT_NODE||(!!e.classList.contains("disabled")||(void 0!==e.disabled?e.disabled:e.hasAttribute("disabled")&&"false"!==e.getAttribute("disabled")))},y=function e(t){if(!document.documentElement.attachShadow)return null;
// Can find the shadow root otherwise it'll return the document
if("function"==typeof t.getRootNode){var n=t.getRootNode();return n instanceof ShadowRoot?n:null}return t instanceof ShadowRoot?t:
// when we don't find a shadow root
t.parentNode?e(t.parentNode):null},w=function(){},E=function(e){e.offsetHeight;// eslint-disable-line no-unused-expressions
},A=function(){return window.jQuery&&!document.body.hasAttribute("data-bs-no-jquery")?window.jQuery:null},k=[],C=function(){return"rtl"===document.documentElement.dir},T=function(e){var t;t=function(){var t=A();
/* istanbul ignore if */if(t){var n=e.NAME,i=t.fn[n];t.fn[n]=e.jQueryInterface,t.fn[n].Constructor=e,t.fn[n].noConflict=function(){return t.fn[n]=i,e.jQueryInterface}}},"loading"===document.readyState?(
// add listener on the first call when the document is in loading state
k.length||document.addEventListener("DOMContentLoaded",(function(){for(var e=0,t=k;e<t.length;e++)(0,t[e])()})),k.push(t)):t()},S=function(e,t,n){return void 0===t&&(t=[]),void 0===n&&(n=e),"function"==typeof e?e.apply(void 0,t):n},O=function(e,t,n){if(void 0===n&&(n=!0),n){var i=function(e){if(!e)return 0;
// Get transition-duration of the element
var t=window.getComputedStyle(e),n=t.transitionDuration,i=t.transitionDelay,r=Number.parseFloat(n),o=Number.parseFloat(i);
// Return 0 if element or transition duration is not found
return r||o?(
// If multiple durations are defined, take the first
n=n.split(",")[0],i=i.split(",")[0],1e3*(Number.parseFloat(n)+Number.parseFloat(i))):0}(t)+5,r=!1;t.addEventListener(d,(function n(i){i.target===t&&(r=!0,t.removeEventListener(d,n),S(e))})),setTimeout((function(){r||g(t)}),i)}else S(e)},L=function(e,t,n,i){var r=e.length,o=e.indexOf(t);
// if the element does not exist in the list return an element
// depending on the direction and if cycle is allowed
return-1===o?!n&&i?e[r-1]:e[0]:(o+=n?1:-1,i&&(o=(o+r)%r),e[Math.max(0,Math.min(o,r-1))])},I=/[^.]*(?=\..*)\.|.*/,N=/\..*/,P=/::\d+$/,D={},j=1,M={mouseenter:"mouseover",mouseleave:"mouseout"},x=new Set(["click","dblclick","mouseup","mousedown","contextmenu","mousewheel","DOMMouseScroll","mouseover","mouseout","mousemove","selectstart","selectend","keydown","keypress","keyup","orientationchange","touchstart","touchmove","touchend","touchcancel","pointerdown","pointermove","pointerup","pointerleave","pointercancel","gesturestart","gesturechange","gestureend","focus","blur","change","reset","select","submit","focusin","focusout","load","unload","beforeunload","resize","move","DOMContentLoaded","readystatechange","error","abort","scroll"]);
/**
   * Private methods
   */
function F(e,t){return t&&t+"::"+j++||e.uidEvent||j++}function z(e){var t=F(e);return e.uidEvent=t,D[t]=D[t]||{},D[t]}function H(e,t,n){return void 0===n&&(n=null),Object.values(e).find((function(e){return e.callable===t&&e.delegationSelector===n}))}function B(e,t,n){var i="string"==typeof t,r=i?n:t||n,o=K(e);
// TODO: tooltip passes `false` instead of selector, so we need to check
return x.has(o)||(o=e),[i,r,o]}function q(e,t,n,i,r){if("string"==typeof t&&e){var o=B(t,n,i),s=o[0],a=o[1],l=o[2];
// in case of mouseenter or mouseleave wrap the handler within a function that checks for its DOM position
// this prevents the handler from being dispatched the same way as mouseover or mouseout does
if(t in M){a=function(e){return function(t){if(!t.relatedTarget||t.relatedTarget!==t.delegateTarget&&!t.delegateTarget.contains(t.relatedTarget))return e.call(this,t)}}(a)}var c=z(e),f=c[l]||(c[l]={}),h=H(f,a,s?n:null);if(h)h.oneOff=h.oneOff&&r;else{var d=F(a,t.replace(I,"")),_=s?function(e,t,n){return function i(r){for(var o=e.querySelectorAll(t),s=r.target;s&&s!==this;s=s.parentNode)for(var a,l=u(o);!(a=l()).done;)if(a.value===s)return Q(r,{delegateTarget:s}),i.oneOff&&V.off(e,r.type,t,n),n.apply(s,[r])}}(e,n,a):function(e,t){return function n(i){return Q(i,{delegateTarget:e}),n.oneOff&&V.off(e,i.type,t),t.apply(e,[i])}}(e,a);_.delegationSelector=s?n:null,_.callable=a,_.oneOff=r,_.uidEvent=d,f[d]=_,e.addEventListener(l,_,s)}}}function W(e,t,n,i,r){var o=H(t[n],i,r);o&&(e.removeEventListener(n,o,Boolean(r)),delete t[n][o.uidEvent])}function R(e,t,n,i){for(var r=t[n]||{},o=0,s=Object.entries(r);o<s.length;o++){var a=s[o],l=a[0],c=a[1];l.includes(i)&&W(e,t,n,c.callable,c.delegationSelector)}}function K(e){
// allow to get the native events from namespaced events ('click.bs.button' --> 'click')
return e=e.replace(N,""),M[e]||e}var V={on:function(e,t,n,i){q(e,t,n,i,!1)},one:function(e,t,n,i){q(e,t,n,i,!0)},off:function(e,t,n,i){if("string"==typeof t&&e){var r=B(t,n,i),o=r[0],s=r[1],a=r[2],l=a!==t,c=z(e),u=c[a]||{},f=t.startsWith(".");if(void 0===s){if(f)for(var h=0,d=Object.keys(c);h<d.length;h++){R(e,c,d[h],t.slice(1))}for(var _=0,g=Object.entries(u);_<g.length;_++){var p=g[_],m=p[0],v=p[1],b=m.replace(P,"");l&&!t.includes(b)||W(e,c,a,v.callable,v.delegationSelector)}}else{
// Simplest case: handler is passed, remove that listener ONLY.
if(!Object.keys(u).length)return;W(e,c,a,s,o?n:null)}}},trigger:function(e,t,n){if("string"!=typeof t||!e)return null;var i=A(),r=null,o=!0,s=!0,a=!1;t!==K(t)&&i&&(r=i.Event(t,n),i(e).trigger(r),o=!r.isPropagationStopped(),s=!r.isImmediatePropagationStopped(),a=r.isDefaultPrevented());var l=Q(new Event(t,{bubbles:o,cancelable:!0}),n);return a&&l.preventDefault(),s&&e.dispatchEvent(l),l.defaultPrevented&&r&&r.preventDefault(),l}};function Q(e,t){void 0===t&&(t={});for(var n=function(){var t=r[i],n=t[0],o=t[1];try{e[n]=o}catch(t){Object.defineProperty(e,n,{configurable:!0,get:function(){return o}})}},i=0,r=Object.entries(t);i<r.length;i++)n();return e}
/**
   * --------------------------------------------------------------------------
   * Bootstrap dom/manipulator.js
   * Licensed under MIT (https://github.com/twbs/bootstrap/blob/main/LICENSE)
   * --------------------------------------------------------------------------
   */function X(e){if("true"===e)return!0;if("false"===e)return!1;if(e===Number(e).toString())return Number(e);if(""===e||"null"===e)return null;if("string"!=typeof e)return e;try{return JSON.parse(decodeURIComponent(e))}catch(t){return e}}function Y(e){return e.replace(/[A-Z]/g,(function(e){return"-"+e.toLowerCase()}))}var U=function(e,t,n){e.setAttribute("data-bs-"+Y(t),n)},$=function(e,t){e.removeAttribute("data-bs-"+Y(t))},G=function(e){if(!e)return{};for(var t,n={},i=Object.keys(e.dataset).filter((function(e){return e.startsWith("bs")&&!e.startsWith("bsConfig")})),r=u(i);!(t=r()).done;){var o=t.value,s=o.replace(/^bs/,"");n[s=s.charAt(0).toLowerCase()+s.slice(1,s.length)]=X(e.dataset[o])}return n},J=function(e,t){return X(e.getAttribute("data-bs-"+Y(t)))},Z=function(){function e(){}var t=e.prototype;return t._getConfig=function(e){return e=this._mergeConfigObj(e),e=this._configAfterMerge(e),this._typeCheckConfig(e),e},t._configAfterMerge=function(e){return e},t._mergeConfigObj=function(e,t){var n=p(t)?J(t,"config"):{};// try to parse
return o({},this.constructor.Default,"object"==typeof n?n:{},p(t)?G(t):{},"object"==typeof e?e:{})},t._typeCheckConfig=function(e,t){void 0===t&&(t=this.constructor.DefaultType);for(var n=0,i=Object.entries(t);n<i.length;n++){var r=i[n],o=r[0],s=r[1],a=e[o],l=p(a)?"element":null==(c=a)?""+c:Object.prototype.toString.call(c).match(/\s([a-z]+)/i)[1].toLowerCase();if(!new RegExp(s).test(l))throw new TypeError(this.constructor.NAME.toUpperCase()+': Option "'+o+'" provided type "'+l+'" but expected type "'+s+'".')}var c},r(e,null,[{key:"Default",get:
// Getters
function(){return{}}},{key:"DefaultType",get:function(){return{}}},{key:"NAME",get:function(){throw new Error('You have to implement the static method "NAME", for each component!')}}]),e}(),ee=function(e){function t(t,n){var i;return i=e.call(this)||this,(t=m(t))?(i._element=t,i._config=i._getConfig(n),h.set(i._element,i.constructor.DATA_KEY,l(i)),i):l(i)}
// Public
s(t,e);var n=t.prototype;return n.dispose=function(){h.remove(this._element,this.constructor.DATA_KEY),V.off(this._element,this.constructor.EVENT_KEY);for(var e,t=u(Object.getOwnPropertyNames(this));!(e=t()).done;){this[e.value]=null}},n._queueCallback=function(e,t,n){void 0===n&&(n=!0),O(e,t,n)},n._getConfig=function(e){return e=this._mergeConfigObj(e,this._element),e=this._configAfterMerge(e),this._typeCheckConfig(e),e}
// Static
,t.getInstance=function(e){return h.get(m(e),this.DATA_KEY)},t.getOrCreateInstance=function(e,t){return void 0===t&&(t={}),this.getInstance(e)||new this(e,"object"==typeof t?t:null)},t.eventName=function(e){return""+e+this.EVENT_KEY},r(t,null,[{key:"VERSION",get:function(){return"5.3.3"}},{key:"DATA_KEY",get:function(){return"bs."+this.NAME}},{key:"EVENT_KEY",get:function(){return"."+this.DATA_KEY}}]),t}(Z),te=function(e){var t=e.getAttribute("data-bs-target");if(!t||"#"===t){var n=e.getAttribute("href");
// The only valid content that could double as a selector are IDs or classes,
// so everything starting with `#` or `.`. If a "real" URL is used as the selector,
// `document.querySelector` will rightfully complain it is invalid.
// See https://github.com/twbs/bootstrap/issues/32273
if(!n||!n.includes("#")&&!n.startsWith("."))return null;
// Just in case some CMS puts out a full URL with the anchor appended
n.includes("#")&&!n.startsWith("#")&&(n="#"+n.split("#")[1]),t=n&&"#"!==n?n.trim():null}return t?t.split(",").map((function(e){return _(e)})).join(","):null},ne={find:function(e,t){var n;return void 0===t&&(t=document.documentElement),(n=[]).concat.apply(n,Element.prototype.querySelectorAll.call(t,e))},findOne:function(e,t){return void 0===t&&(t=document.documentElement),Element.prototype.querySelector.call(t,e)},children:function(e,t){var n;return(n=[]).concat.apply(n,e.children).filter((function(e){return e.matches(t)}))},parents:function(e,t){for(var n=[],i=e.parentNode.closest(t);i;)n.push(i),i=i.parentNode.closest(t);return n},prev:function(e,t){for(var n=e.previousElementSibling;n;){if(n.matches(t))return[n];n=n.previousElementSibling}return[]},
// TODO: this is now unused; remove later along with prev()
next:function(e,t){for(var n=e.nextElementSibling;n;){if(n.matches(t))return[n];n=n.nextElementSibling}return[]},focusableChildren:function(e){var t=["a","button","input","textarea","select","details","[tabindex]",'[contenteditable="true"]'].map((function(e){return e+':not([tabindex^="-"])'})).join(",");return this.find(t,e).filter((function(e){return!b(e)&&v(e)}))},getSelectorFromElement:function(e){var t=te(e);return t&&ne.findOne(t)?t:null},getElementFromSelector:function(e){var t=te(e);return t?ne.findOne(t):null},getMultipleElementsFromSelector:function(e){var t=te(e);return t?ne.find(t):[]}},ie=function(e,t){void 0===t&&(t="hide");var n="click.dismiss"+e.EVENT_KEY,i=e.NAME;V.on(document,n,'[data-bs-dismiss="'+i+'"]',(function(n){if(["A","AREA"].includes(this.tagName)&&n.preventDefault(),!b(this)){var r=ne.getElementFromSelector(this)||this.closest("."+i);
// Method argument is left, for Alert and only, as it doesn't implement the 'hide' method
e.getOrCreateInstance(r)[t]()}}))},re=".bs.alert",oe="close"+re,se="closed"+re,ae=function(e){function t(){return e.apply(this,arguments)||this}s(t,e);var n=t.prototype;
// Public
return n.close=function(){var e=this;if(!V.trigger(this._element,oe).defaultPrevented){this._element.classList.remove("show");var t=this._element.classList.contains("fade");this._queueCallback((function(){return e._destroyElement()}),this._element,t)}}
// Private
,n._destroyElement=function(){this._element.remove(),V.trigger(this._element,se),this.dispose()}
// Static
,t.jQueryInterface=function(e){return this.each((function(){var n=t.getOrCreateInstance(this);if("string"==typeof e){if(void 0===n[e]||e.startsWith("_")||"constructor"===e)throw new TypeError('No method named "'+e+'"');n[e](this)}}))},r(t,null,[{key:"NAME",get:
// Getters
function(){return"alert"}}]),t}(ee);
/**
   * Class definition
   */
/**
   * Data API implementation
   */
ie(ae,"close"),
/**
   * jQuery
   */
T(ae);
/**
   * Constants
   */
var le='[data-bs-toggle="button"]',ce=function(e){function t(){return e.apply(this,arguments)||this}return s(t,e),
// Public
t.prototype.toggle=function(){
// Toggle class and sync the `aria-pressed` attribute with the return value of the `.toggle()` method
this._element.setAttribute("aria-pressed",this._element.classList.toggle("active"))}
// Static
,t.jQueryInterface=function(e){return this.each((function(){var n=t.getOrCreateInstance(this);"toggle"===e&&n[e]()}))},r(t,null,[{key:"NAME",get:
// Getters
function(){return"button"}}]),t}(ee);
/**
   * Data API implementation
   */
V.on(document,"click.bs.button.data-api",le,(function(e){e.preventDefault();var t=e.target.closest(le);ce.getOrCreateInstance(t).toggle()})),
/**
   * jQuery
   */
T(ce);
/**
   * Constants
   */
var ue,fe=".bs.swipe",he="touchstart"+fe,de="touchmove"+fe,_e="touchend"+fe,ge="pointerdown"+fe,pe="pointerup"+fe,me={endCallback:null,leftCallback:null,rightCallback:null},ve={endCallback:"(function|null)",leftCallback:"(function|null)",rightCallback:"(function|null)"},be=function(e){function t(n,i){var r;return(r=e.call(this)||this)._element=n,n&&t.isSupported()?(r._config=r._getConfig(i),r._deltaX=0,r._supportPointerEvents=Boolean(window.PointerEvent),r._initEvents(),r):l(r)}
// Getters
s(t,e);var n=t.prototype;
// Public
return n.dispose=function(){V.off(this._element,fe)}
// Private
,n._start=function(e){this._supportPointerEvents?this._eventIsPointerPenTouch(e)&&(this._deltaX=e.clientX):this._deltaX=e.touches[0].clientX},n._end=function(e){this._eventIsPointerPenTouch(e)&&(this._deltaX=e.clientX-this._deltaX),this._handleSwipe(),S(this._config.endCallback)},n._move=function(e){this._deltaX=e.touches&&e.touches.length>1?0:e.touches[0].clientX-this._deltaX},n._handleSwipe=function(){var e=Math.abs(this._deltaX);if(!(e<=40)){var t=e/this._deltaX;this._deltaX=0,t&&S(t>0?this._config.rightCallback:this._config.leftCallback)}},n._initEvents=function(){var e=this;this._supportPointerEvents?(V.on(this._element,ge,(function(t){return e._start(t)})),V.on(this._element,pe,(function(t){return e._end(t)})),this._element.classList.add("pointer-event")):(V.on(this._element,he,(function(t){return e._start(t)})),V.on(this._element,de,(function(t){return e._move(t)})),V.on(this._element,_e,(function(t){return e._end(t)})))},n._eventIsPointerPenTouch=function(e){return this._supportPointerEvents&&("pen"===e.pointerType||"touch"===e.pointerType)}
// Static
,t.isSupported=function(){return"ontouchstart"in document.documentElement||navigator.maxTouchPoints>0},r(t,null,[{key:"Default",get:function(){return me}},{key:"DefaultType",get:function(){return ve}},{key:"NAME",get:function(){return"swipe"}}]),t}(Z),ye=".bs.carousel",we=".data-api",Ee="next",Ae="prev",ke="left",Ce="right",Te="slide"+ye,Se="slid"+ye,Oe="keydown"+ye,Le="mouseenter"+ye,Ie="mouseleave"+ye,Ne="dragstart"+ye,Pe="load"+ye+we,De="click"+ye+we,je="carousel",Me="active",xe=".active",Fe=".carousel-item",ze=xe+Fe,He=".carousel-indicators",Be=((ue={}).ArrowLeft=Ce,ue.ArrowRight=ke,ue),qe={interval:5e3,keyboard:!0,pause:"hover",ride:!1,touch:!0,wrap:!0},We={interval:"(number|boolean)",
// TODO:v6 remove boolean support
keyboard:"boolean",pause:"(string|boolean)",ride:"(boolean|string)",touch:"boolean",wrap:"boolean"},Re=function(e){function t(t,n){var i;return(i=e.call(this,t,n)||this)._interval=null,i._activeElement=null,i._isSliding=!1,i.touchTimeout=null,i._swipeHelper=null,i._indicatorsElement=ne.findOne(He,i._element),i._addEventListeners(),i._config.ride===je&&i.cycle(),i}
// Getters
s(t,e);var n=t.prototype;
// Public
return n.next=function(){this._slide(Ee)},n.nextWhenVisible=function(){
// FIXME TODO use `document.visibilityState`
// Don't call next when the page isn't visible
// or the carousel or its parent isn't visible
!document.hidden&&v(this._element)&&this.next()},n.prev=function(){this._slide(Ae)},n.pause=function(){this._isSliding&&g(this._element),this._clearInterval()},n.cycle=function(){var e=this;this._clearInterval(),this._updateInterval(),this._interval=setInterval((function(){return e.nextWhenVisible()}),this._config.interval)},n._maybeEnableCycle=function(){var e=this;this._config.ride&&(this._isSliding?V.one(this._element,Se,(function(){return e.cycle()})):this.cycle())},n.to=function(e){var t=this,n=this._getItems();if(!(e>n.length-1||e<0))if(this._isSliding)V.one(this._element,Se,(function(){return t.to(e)}));else{var i=this._getItemIndex(this._getActive());if(i!==e){var r=e>i?Ee:Ae;this._slide(r,n[e])}}},n.dispose=function(){this._swipeHelper&&this._swipeHelper.dispose(),e.prototype.dispose.call(this)}
// Private
,n._configAfterMerge=function(e){return e.defaultInterval=e.interval,e},n._addEventListeners=function(){var e=this;this._config.keyboard&&V.on(this._element,Oe,(function(t){return e._keydown(t)})),"hover"===this._config.pause&&(V.on(this._element,Le,(function(){return e.pause()})),V.on(this._element,Ie,(function(){return e._maybeEnableCycle()}))),this._config.touch&&be.isSupported()&&this._addTouchEventListeners()},n._addTouchEventListeners=function(){for(var e,t=this,n=u(ne.find(".carousel-item img",this._element));!(e=n()).done;){var i=e.value;V.on(i,Ne,(function(e){return e.preventDefault()}))}var r={leftCallback:function(){return t._slide(t._directionToOrder(ke))},rightCallback:function(){return t._slide(t._directionToOrder(Ce))},endCallback:function(){"hover"===t._config.pause&&(
// If it's a touch-enabled device, mouseenter/leave are fired as
// part of the mouse compatibility events on first tap - the carousel
// would stop cycling until user tapped out of it;
// here, we listen for touchend, explicitly pause the carousel
// (as if it's the second time we tap on it, mouseenter compat event
// is NOT fired) and after a timeout (to allow for mouse compatibility
// events to fire) we explicitly restart cycling
t.pause(),t.touchTimeout&&clearTimeout(t.touchTimeout),t.touchTimeout=setTimeout((function(){return t._maybeEnableCycle()}),500+t._config.interval))}};this._swipeHelper=new be(this._element,r)},n._keydown=function(e){if(!/input|textarea/i.test(e.target.tagName)){var t=Be[e.key];t&&(e.preventDefault(),this._slide(this._directionToOrder(t)))}},n._getItemIndex=function(e){return this._getItems().indexOf(e)},n._setActiveIndicatorElement=function(e){if(this._indicatorsElement){var t=ne.findOne(xe,this._indicatorsElement);t.classList.remove(Me),t.removeAttribute("aria-current");var n=ne.findOne('[data-bs-slide-to="'+e+'"]',this._indicatorsElement);n&&(n.classList.add(Me),n.setAttribute("aria-current","true"))}},n._updateInterval=function(){var e=this._activeElement||this._getActive();if(e){var t=Number.parseInt(e.getAttribute("data-bs-interval"),10);this._config.interval=t||this._config.defaultInterval}},n._slide=function(e,t){var n=this;if(void 0===t&&(t=null),!this._isSliding){var i=this._getActive(),r=e===Ee,o=t||L(this._getItems(),i,r,this._config.wrap);if(o!==i){var s=this._getItemIndex(o),a=function(t){return V.trigger(n._element,t,{relatedTarget:o,direction:n._orderToDirection(e),from:n._getItemIndex(i),to:s})};if(!a(Te).defaultPrevented&&i&&o){var l=Boolean(this._interval);this.pause(),this._isSliding=!0,this._setActiveIndicatorElement(s),this._activeElement=o;var c=r?"carousel-item-start":"carousel-item-end",u=r?"carousel-item-next":"carousel-item-prev";o.classList.add(u),E(o),i.classList.add(c),o.classList.add(c);this._queueCallback((function(){o.classList.remove(c,u),o.classList.add(Me),i.classList.remove(Me,u,c),n._isSliding=!1,a(Se)}),i,this._isAnimated()),l&&this.cycle()}}}},n._isAnimated=function(){return this._element.classList.contains("slide")},n._getActive=function(){return ne.findOne(ze,this._element)},n._getItems=function(){return ne.find(Fe,this._element)},n._clearInterval=function(){this._interval&&(clearInterval(this._interval),this._interval=null)},n._directionToOrder=function(e){return C()?e===ke?Ae:Ee:e===ke?Ee:Ae},n._orderToDirection=function(e){return C()?e===Ae?ke:Ce:e===Ae?Ce:ke}
// Static
,t.jQueryInterface=function(e){return this.each((function(){var n=t.getOrCreateInstance(this,e);if("number"!=typeof e){if("string"==typeof e){if(void 0===n[e]||e.startsWith("_")||"constructor"===e)throw new TypeError('No method named "'+e+'"');n[e]()}}else n.to(e)}))},r(t,null,[{key:"Default",get:function(){return qe}},{key:"DefaultType",get:function(){return We}},{key:"NAME",get:function(){return"carousel"}}]),t}(ee);
/**
   * Data API implementation
   */
V.on(document,De,"[data-bs-slide], [data-bs-slide-to]",(function(e){var t=ne.getElementFromSelector(this);if(t&&t.classList.contains(je)){e.preventDefault();var n=Re.getOrCreateInstance(t),i=this.getAttribute("data-bs-slide-to");if(i)return n.to(i),void n._maybeEnableCycle();if("next"===J(this,"slide"))return n.next(),void n._maybeEnableCycle();n.prev(),n._maybeEnableCycle()}})),V.on(window,Pe,(function(){for(var e,t=u(ne.find('[data-bs-ride="carousel"]'));!(e=t()).done;){var n=e.value;Re.getOrCreateInstance(n)}})),
/**
   * jQuery
   */
T(Re);
/**
   * Constants
   */
var Ke=".bs.collapse",Ve="show"+Ke,Qe="shown"+Ke,Xe="hide"+Ke,Ye="hidden"+Ke,Ue="click"+Ke+".data-api",$e="show",Ge="collapse",Je="collapsing",Ze=":scope ."+Ge+" ."+Ge,et='[data-bs-toggle="collapse"]',tt={parent:null,toggle:!0},nt={parent:"(null|element)",toggle:"boolean"},it=function(e){function t(t,n){var i;(i=e.call(this,t,n)||this)._isTransitioning=!1,i._triggerArray=[];for(var r,o=u(ne.find(et));!(r=o()).done;){var s=r.value,a=ne.getSelectorFromElement(s),l=ne.find(a).filter((function(e){return e===i._element}));null!==a&&l.length&&i._triggerArray.push(s)}return i._initializeChildren(),i._config.parent||i._addAriaAndCollapsedClass(i._triggerArray,i._isShown()),i._config.toggle&&i.toggle(),i}
// Getters
s(t,e);var n=t.prototype;
// Public
return n.toggle=function(){this._isShown()?this.hide():this.show()},n.show=function(){var e=this;if(!this._isTransitioning&&!this._isShown()){var n=[];
// find active children
if(this._config.parent&&(n=this._getFirstLevelChildren(".collapse.show, .collapse.collapsing").filter((function(t){return t!==e._element})).map((function(e){return t.getOrCreateInstance(e,{toggle:!1})}))),!n.length||!n[0]._isTransitioning)if(!V.trigger(this._element,Ve).defaultPrevented){for(var i,r=u(n);!(i=r()).done;){i.value.hide()}var o=this._getDimension();this._element.classList.remove(Ge),this._element.classList.add(Je),this._element.style[o]=0,this._addAriaAndCollapsedClass(this._triggerArray,!0),this._isTransitioning=!0;var s="scroll"+(o[0].toUpperCase()+o.slice(1));this._queueCallback((function(){e._isTransitioning=!1,e._element.classList.remove(Je),e._element.classList.add(Ge,$e),e._element.style[o]="",V.trigger(e._element,Qe)}),this._element,!0),this._element.style[o]=this._element[s]+"px"}}},n.hide=function(){var e=this;if(!this._isTransitioning&&this._isShown()&&!V.trigger(this._element,Xe).defaultPrevented){var t=this._getDimension();this._element.style[t]=this._element.getBoundingClientRect()[t]+"px",E(this._element),this._element.classList.add(Je),this._element.classList.remove(Ge,$e);for(var n,i=u(this._triggerArray);!(n=i()).done;){var r=n.value,o=ne.getElementFromSelector(r);o&&!this._isShown(o)&&this._addAriaAndCollapsedClass([r],!1)}this._isTransitioning=!0;this._element.style[t]="",this._queueCallback((function(){e._isTransitioning=!1,e._element.classList.remove(Je),e._element.classList.add(Ge),V.trigger(e._element,Ye)}),this._element,!0)}},n._isShown=function(e){return void 0===e&&(e=this._element),e.classList.contains($e)}
// Private
,n._configAfterMerge=function(e){return e.toggle=Boolean(e.toggle),// Coerce string values
e.parent=m(e.parent),e},n._getDimension=function(){return this._element.classList.contains("collapse-horizontal")?"width":"height"},n._initializeChildren=function(){if(this._config.parent)for(var e,t=u(this._getFirstLevelChildren(et));!(e=t()).done;){var n=e.value,i=ne.getElementFromSelector(n);i&&this._addAriaAndCollapsedClass([n],this._isShown(i))}},n._getFirstLevelChildren=function(e){var t=ne.find(Ze,this._config.parent);
// remove children if greater depth
return ne.find(e,this._config.parent).filter((function(e){return!t.includes(e)}))},n._addAriaAndCollapsedClass=function(e,t){if(e.length)for(var n,i=u(e);!(n=i()).done;){var r=n.value;r.classList.toggle("collapsed",!t),r.setAttribute("aria-expanded",t)}}
// Static
,t.jQueryInterface=function(e){var n={};return"string"==typeof e&&/show|hide/.test(e)&&(n.toggle=!1),this.each((function(){var i=t.getOrCreateInstance(this,n);if("string"==typeof e){if(void 0===i[e])throw new TypeError('No method named "'+e+'"');i[e]()}}))},r(t,null,[{key:"Default",get:function(){return tt}},{key:"DefaultType",get:function(){return nt}},{key:"NAME",get:function(){return"collapse"}}]),t}(ee);
/**
   * Data API implementation
   */
V.on(document,Ue,et,(function(e){
// preventDefault only for <a> elements (which change the URL) not inside the collapsible element
("A"===e.target.tagName||e.delegateTarget&&"A"===e.delegateTarget.tagName)&&e.preventDefault();for(var t,n=u(ne.getMultipleElementsFromSelector(this));!(t=n()).done;){var i=t.value;it.getOrCreateInstance(i,{toggle:!1}).toggle()}})),
/**
   * jQuery
   */
T(it);
/**
   * Constants
   */
var rt="dropdown",ot=".bs.dropdown",st=".data-api",at="ArrowUp",lt="ArrowDown",ct="hide"+ot,ut="hidden"+ot,ft="show"+ot,ht="shown"+ot,dt="click"+ot+st,_t="keydown"+ot+st,gt="keyup"+ot+st,pt="show",mt='[data-bs-toggle="dropdown"]:not(.disabled):not(:disabled)',vt=mt+"."+pt,bt=".dropdown-menu",yt=C()?"top-end":"top-start",wt=C()?"top-start":"top-end",Et=C()?"bottom-end":"bottom-start",At=C()?"bottom-start":"bottom-end",kt=C()?"left-start":"right-start",Ct=C()?"right-start":"left-start",Tt={autoClose:!0,boundary:"clippingParents",display:"dynamic",offset:[0,2],popperConfig:null,reference:"toggle"},St={autoClose:"(boolean|string)",boundary:"(string|element)",display:"string",offset:"(array|string|function)",popperConfig:"(null|object|function)",reference:"(string|element|object)"},Ot=function(e){function t(t,n){var i;return(i=e.call(this,t,n)||this)._popper=null,i._parent=i._element.parentNode,// dropdown wrapper
// TODO: v6 revert #37011 & change markup https://getbootstrap.com/docs/5.3/forms/input-group/
i._menu=ne.next(i._element,bt)[0]||ne.prev(i._element,bt)[0]||ne.findOne(bt,i._parent),i._inNavbar=i._detectNavbar(),i}
// Getters
s(t,e);var i=t.prototype;
// Public
return i.toggle=function(){return this._isShown()?this.hide():this.show()},i.show=function(){if(!b(this._element)&&!this._isShown()){var e={relatedTarget:this._element};if(!V.trigger(this._element,ft,e).defaultPrevented){
// If this is a touch-enabled device we add extra
// empty mouseover listeners to the body's immediate children;
// only needed because of broken event delegation on iOS
// https://www.quirksmode.org/blog/archives/2014/02/mouse_event_bub.html
if(this._createPopper(),"ontouchstart"in document.documentElement&&!this._parent.closest(".navbar-nav"))for(var t,n=u((i=[]).concat.apply(i,document.body.children));!(t=n()).done;){var i,r=t.value;V.on(r,"mouseover",w)}this._element.focus(),this._element.setAttribute("aria-expanded",!0),this._menu.classList.add(pt),this._element.classList.add(pt),V.trigger(this._element,ht,e)}}},i.hide=function(){if(!b(this._element)&&this._isShown()){var e={relatedTarget:this._element};this._completeHide(e)}},i.dispose=function(){this._popper&&this._popper.destroy(),e.prototype.dispose.call(this)},i.update=function(){this._inNavbar=this._detectNavbar(),this._popper&&this._popper.update()}
// Private
,i._completeHide=function(e){if(!V.trigger(this._element,ct,e).defaultPrevented){
// If this is a touch-enabled device we remove the extra
// empty mouseover listeners we added for iOS support
if("ontouchstart"in document.documentElement)for(var t,n=u((i=[]).concat.apply(i,document.body.children));!(t=n()).done;){var i,r=t.value;V.off(r,"mouseover",w)}this._popper&&this._popper.destroy(),this._menu.classList.remove(pt),this._element.classList.remove(pt),this._element.setAttribute("aria-expanded","false"),$(this._menu,"popper"),V.trigger(this._element,ut,e)}},i._getConfig=function(t){if("object"==typeof(t=e.prototype._getConfig.call(this,t)).reference&&!p(t.reference)&&"function"!=typeof t.reference.getBoundingClientRect)
// Popper virtual elements require a getBoundingClientRect method
throw new TypeError(rt.toUpperCase()+': Option "reference" provided type "object" without a required "getBoundingClientRect" method.');return t},i._createPopper=function(){if(void 0===n)throw new TypeError("Bootstrap's dropdowns require Popper (https://popper.js.org)");var e=this._element;"parent"===this._config.reference?e=this._parent:p(this._config.reference)?e=m(this._config.reference):"object"==typeof this._config.reference&&(e=this._config.reference);var t=this._getPopperConfig();this._popper=n.createPopper(e,this._menu,t)},i._isShown=function(){return this._menu.classList.contains(pt)},i._getPlacement=function(){var e=this._parent;if(e.classList.contains("dropend"))return kt;if(e.classList.contains("dropstart"))return Ct;if(e.classList.contains("dropup-center"))return"top";if(e.classList.contains("dropdown-center"))return"bottom";
// We need to trim the value because custom properties can also include spaces
var t="end"===getComputedStyle(this._menu).getPropertyValue("--bs-position").trim();return e.classList.contains("dropup")?t?wt:yt:t?At:Et},i._detectNavbar=function(){return null!==this._element.closest(".navbar")},i._getOffset=function(){var e=this,t=this._config.offset;return"string"==typeof t?t.split(",").map((function(e){return Number.parseInt(e,10)})):"function"==typeof t?function(n){return t(n,e._element)}:t},i._getPopperConfig=function(){var e={placement:this._getPlacement(),modifiers:[{name:"preventOverflow",options:{boundary:this._config.boundary}},{name:"offset",options:{offset:this._getOffset()}}]};
// Disable Popper if we have a static display or Dropdown is in Navbar
return(this._inNavbar||"static"===this._config.display)&&(U(this._menu,"popper","static"),// TODO: v6 remove
e.modifiers=[{name:"applyStyles",enabled:!1}]),o({},e,S(this._config.popperConfig,[e]))},i._selectMenuItem=function(e){var t=e.key,n=e.target,i=ne.find(".dropdown-menu .dropdown-item:not(.disabled):not(:disabled)",this._menu).filter((function(e){return v(e)}));i.length&&
// if target isn't included in items (e.g. when expanding the dropdown)
// allow cycling to get the last item in case key equals ARROW_UP_KEY
L(i,n,t===lt,!i.includes(n)).focus()}
// Static
,t.jQueryInterface=function(e){return this.each((function(){var n=t.getOrCreateInstance(this,e);if("string"==typeof e){if(void 0===n[e])throw new TypeError('No method named "'+e+'"');n[e]()}}))},t.clearMenus=function(e){if(2!==e.button&&("keyup"!==e.type||"Tab"===e.key))for(var n,i=u(ne.find(vt));!(n=i()).done;){var r=n.value,o=t.getInstance(r);if(o&&!1!==o._config.autoClose){var s=e.composedPath(),a=s.includes(o._menu);if(!(s.includes(o._element)||"inside"===o._config.autoClose&&!a||"outside"===o._config.autoClose&&a||o._menu.contains(e.target)&&("keyup"===e.type&&"Tab"===e.key||/input|select|option|textarea|form/i.test(e.target.tagName))))
// Tab navigation through the dropdown menu or events from contained inputs shouldn't close the menu
{var l={relatedTarget:o._element};"click"===e.type&&(l.clickEvent=e),o._completeHide(l)}}}},t.dataApiKeydownHandler=function(e){
// If not an UP | DOWN | ESCAPE key => not a dropdown command
// If input/textarea && if key is other than ESCAPE => not a dropdown command
var n=/input|textarea/i.test(e.target.tagName),i="Escape"===e.key,r=[at,lt].includes(e.key);if((r||i)&&(!n||i)){e.preventDefault();
// TODO: v6 revert #37011 & change markup https://getbootstrap.com/docs/5.3/forms/input-group/
var o=this.matches(mt)?this:ne.prev(this,mt)[0]||ne.next(this,mt)[0]||ne.findOne(mt,e.delegateTarget.parentNode),s=t.getOrCreateInstance(o);if(r)return e.stopPropagation(),s.show(),void s._selectMenuItem(e);s._isShown()&&(
// else is escape and we check if it is shown
e.stopPropagation(),s.hide(),o.focus())}},r(t,null,[{key:"Default",get:function(){return Tt}},{key:"DefaultType",get:function(){return St}},{key:"NAME",get:function(){return rt}}]),t}(ee);
/**
   * Data API implementation
   */
V.on(document,_t,mt,Ot.dataApiKeydownHandler),V.on(document,_t,bt,Ot.dataApiKeydownHandler),V.on(document,dt,Ot.clearMenus),V.on(document,gt,Ot.clearMenus),V.on(document,dt,mt,(function(e){e.preventDefault(),Ot.getOrCreateInstance(this).toggle()})),
/**
   * jQuery
   */
T(Ot);
/**
   * Constants
   */
var Lt="backdrop",It="show",Nt="mousedown.bs."+Lt,Pt={className:"modal-backdrop",clickCallback:null,isAnimated:!1,isVisible:!0,
// if false, we use the backdrop helper without adding any element to the dom
rootElement:"body"},Dt={className:"string",clickCallback:"(function|null)",isAnimated:"boolean",isVisible:"boolean",rootElement:"(element|string)"},jt=function(e){function t(t){var n;return(n=e.call(this)||this)._config=n._getConfig(t),n._isAppended=!1,n._element=null,n}
// Getters
s(t,e);var n=t.prototype;
// Public
return n.show=function(e){if(this._config.isVisible){this._append();var t=this._getElement();this._config.isAnimated&&E(t),t.classList.add(It),this._emulateAnimation((function(){S(e)}))}else S(e)},n.hide=function(e){var t=this;this._config.isVisible?(this._getElement().classList.remove(It),this._emulateAnimation((function(){t.dispose(),S(e)}))):S(e)},n.dispose=function(){this._isAppended&&(V.off(this._element,Nt),this._element.remove(),this._isAppended=!1)}
// Private
,n._getElement=function(){if(!this._element){var e=document.createElement("div");e.className=this._config.className,this._config.isAnimated&&e.classList.add("fade"),this._element=e}return this._element},n._configAfterMerge=function(e){
// use getElement() with the default "body" to get a fresh Element on each instantiation
return e.rootElement=m(e.rootElement),e},n._append=function(){var e=this;if(!this._isAppended){var t=this._getElement();this._config.rootElement.append(t),V.on(t,Nt,(function(){S(e._config.clickCallback)})),this._isAppended=!0}},n._emulateAnimation=function(e){O(e,this._getElement(),this._config.isAnimated)},r(t,null,[{key:"Default",get:function(){return Pt}},{key:"DefaultType",get:function(){return Dt}},{key:"NAME",get:function(){return Lt}}]),t}(Z),Mt=".bs.focustrap",xt="focusin"+Mt,Ft="keydown.tab"+Mt,zt="backward",Ht={autofocus:!0,trapElement:null},Bt={autofocus:"boolean",trapElement:"element"},qt=function(e){function t(t){var n;return(n=e.call(this)||this)._config=n._getConfig(t),n._isActive=!1,n._lastTabNavDirection=null,n}
// Getters
s(t,e);var n=t.prototype;
// Public
return n.activate=function(){var e=this;this._isActive||(this._config.autofocus&&this._config.trapElement.focus(),V.off(document,Mt),// guard against infinite focus loop
V.on(document,xt,(function(t){return e._handleFocusin(t)})),V.on(document,Ft,(function(t){return e._handleKeydown(t)})),this._isActive=!0)},n.deactivate=function(){this._isActive&&(this._isActive=!1,V.off(document,Mt))}
// Private
,n._handleFocusin=function(e){var t=this._config.trapElement;if(e.target!==document&&e.target!==t&&!t.contains(e.target)){var n=ne.focusableChildren(t);0===n.length?t.focus():this._lastTabNavDirection===zt?n[n.length-1].focus():n[0].focus()}},n._handleKeydown=function(e){"Tab"===e.key&&(this._lastTabNavDirection=e.shiftKey?zt:"forward")},r(t,null,[{key:"Default",get:function(){return Ht}},{key:"DefaultType",get:function(){return Bt}},{key:"NAME",get:function(){return"focustrap"}}]),t}(Z),Wt=".fixed-top, .fixed-bottom, .is-fixed, .sticky-top",Rt=".sticky-top",Kt="padding-right",Vt="margin-right",Qt=function(){function e(){this._element=document.body}
// Public
var t=e.prototype;return t.getWidth=function(){
// https://developer.mozilla.org/en-US/docs/Web/API/Window/innerWidth#usage_notes
var e=document.documentElement.clientWidth;return Math.abs(window.innerWidth-e)},t.hide=function(){var e=this.getWidth();this._disableOverFlow(),
// give padding to element to balance the hidden scrollbar width
this._setElementAttributes(this._element,Kt,(function(t){return t+e})),
// trick: We adjust positive paddingRight and negative marginRight to sticky-top elements to keep showing fullwidth
this._setElementAttributes(Wt,Kt,(function(t){return t+e})),this._setElementAttributes(Rt,Vt,(function(t){return t-e}))},t.reset=function(){this._resetElementAttributes(this._element,"overflow"),this._resetElementAttributes(this._element,Kt),this._resetElementAttributes(Wt,Kt),this._resetElementAttributes(Rt,Vt)},t.isOverflowing=function(){return this.getWidth()>0}
// Private
,t._disableOverFlow=function(){this._saveInitialAttribute(this._element,"overflow"),this._element.style.overflow="hidden"},t._setElementAttributes=function(e,t,n){var i=this,r=this.getWidth();this._applyManipulationCallback(e,(function(e){if(!(e!==i._element&&window.innerWidth>e.clientWidth+r)){i._saveInitialAttribute(e,t);var o=window.getComputedStyle(e).getPropertyValue(t);e.style.setProperty(t,n(Number.parseFloat(o))+"px")}}))},t._saveInitialAttribute=function(e,t){var n=e.style.getPropertyValue(t);n&&U(e,t,n)},t._resetElementAttributes=function(e,t){this._applyManipulationCallback(e,(function(e){var n=J(e,t);
// We only want to remove the property if the value is `null`; the value can also be zero
null!==n?($(e,t),e.style.setProperty(t,n)):e.style.removeProperty(t)}))},t._applyManipulationCallback=function(e,t){if(p(e))t(e);else for(var n,i=u(ne.find(e,this._element));!(n=i()).done;){t(n.value)}},e}(),Xt=".bs.modal",Yt="hide"+Xt,Ut="hidePrevented"+Xt,$t="hidden"+Xt,Gt="show"+Xt,Jt="shown"+Xt,Zt="resize"+Xt,en="click.dismiss"+Xt,tn="mousedown.dismiss"+Xt,nn="keydown.dismiss"+Xt,rn="click"+Xt+".data-api",on="modal-open",sn="show",an="modal-static",ln=".modal-dialog",cn={backdrop:!0,focus:!0,keyboard:!0},un={backdrop:"(boolean|string)",focus:"boolean",keyboard:"boolean"},fn=function(e){function t(t,n){var i;return(i=e.call(this,t,n)||this)._dialog=ne.findOne(ln,i._element),i._backdrop=i._initializeBackDrop(),i._focustrap=i._initializeFocusTrap(),i._isShown=!1,i._isTransitioning=!1,i._scrollBar=new Qt,i._addEventListeners(),i}
// Getters
s(t,e);var n=t.prototype;
// Public
return n.toggle=function(e){return this._isShown?this.hide():this.show(e)},n.show=function(e){var t=this;this._isShown||this._isTransitioning||(V.trigger(this._element,Gt,{relatedTarget:e}).defaultPrevented||(this._isShown=!0,this._isTransitioning=!0,this._scrollBar.hide(),document.body.classList.add(on),this._adjustDialog(),this._backdrop.show((function(){return t._showElement(e)}))))},n.hide=function(){var e=this;this._isShown&&!this._isTransitioning&&(V.trigger(this._element,Yt).defaultPrevented||(this._isShown=!1,this._isTransitioning=!0,this._focustrap.deactivate(),this._element.classList.remove(sn),this._queueCallback((function(){return e._hideModal()}),this._element,this._isAnimated())))},n.dispose=function(){V.off(window,Xt),V.off(this._dialog,Xt),this._backdrop.dispose(),this._focustrap.deactivate(),e.prototype.dispose.call(this)},n.handleUpdate=function(){this._adjustDialog()}
// Private
,n._initializeBackDrop=function(){return new jt({isVisible:Boolean(this._config.backdrop),
// 'static' option will be translated to true, and booleans will keep their value,
isAnimated:this._isAnimated()})},n._initializeFocusTrap=function(){return new qt({trapElement:this._element})},n._showElement=function(e){var t=this;
// try to append dynamic modal
document.body.contains(this._element)||document.body.append(this._element),this._element.style.display="block",this._element.removeAttribute("aria-hidden"),this._element.setAttribute("aria-modal",!0),this._element.setAttribute("role","dialog"),this._element.scrollTop=0;var n=ne.findOne(".modal-body",this._dialog);n&&(n.scrollTop=0),E(this._element),this._element.classList.add(sn);this._queueCallback((function(){t._config.focus&&t._focustrap.activate(),t._isTransitioning=!1,V.trigger(t._element,Jt,{relatedTarget:e})}),this._dialog,this._isAnimated())},n._addEventListeners=function(){var e=this;V.on(this._element,nn,(function(t){"Escape"===t.key&&(e._config.keyboard?e.hide():e._triggerBackdropTransition())})),V.on(window,Zt,(function(){e._isShown&&!e._isTransitioning&&e._adjustDialog()})),V.on(this._element,tn,(function(t){
// a bad trick to segregate clicks that may start inside dialog but end outside, and avoid listen to scrollbar clicks
V.one(e._element,en,(function(n){e._element===t.target&&e._element===n.target&&("static"!==e._config.backdrop?e._config.backdrop&&e.hide():e._triggerBackdropTransition())}))}))},n._hideModal=function(){var e=this;this._element.style.display="none",this._element.setAttribute("aria-hidden",!0),this._element.removeAttribute("aria-modal"),this._element.removeAttribute("role"),this._isTransitioning=!1,this._backdrop.hide((function(){document.body.classList.remove(on),e._resetAdjustments(),e._scrollBar.reset(),V.trigger(e._element,$t)}))},n._isAnimated=function(){return this._element.classList.contains("fade")},n._triggerBackdropTransition=function(){var e=this;if(!V.trigger(this._element,Ut).defaultPrevented){var t=this._element.scrollHeight>document.documentElement.clientHeight,n=this._element.style.overflowY;
// return if the following background transition hasn't yet completed
"hidden"===n||this._element.classList.contains(an)||(t||(this._element.style.overflowY="hidden"),this._element.classList.add(an),this._queueCallback((function(){e._element.classList.remove(an),e._queueCallback((function(){e._element.style.overflowY=n}),e._dialog)}),this._dialog),this._element.focus())}}
/**
     * The following methods are used to handle overflowing modals
     */,n._adjustDialog=function(){var e=this._element.scrollHeight>document.documentElement.clientHeight,t=this._scrollBar.getWidth(),n=t>0;if(n&&!e){var i=C()?"paddingLeft":"paddingRight";this._element.style[i]=t+"px"}if(!n&&e){var r=C()?"paddingRight":"paddingLeft";this._element.style[r]=t+"px"}},n._resetAdjustments=function(){this._element.style.paddingLeft="",this._element.style.paddingRight=""}
// Static
,t.jQueryInterface=function(e,n){return this.each((function(){var i=t.getOrCreateInstance(this,e);if("string"==typeof e){if(void 0===i[e])throw new TypeError('No method named "'+e+'"');i[e](n)}}))},r(t,null,[{key:"Default",get:function(){return cn}},{key:"DefaultType",get:function(){return un}},{key:"NAME",get:function(){return"modal"}}]),t}(ee);
/**
   * Data API implementation
   */
V.on(document,rn,'[data-bs-toggle="modal"]',(function(e){var t=this,n=ne.getElementFromSelector(this);["A","AREA"].includes(this.tagName)&&e.preventDefault(),V.one(n,Gt,(function(e){e.defaultPrevented||V.one(n,$t,(function(){v(t)&&t.focus()}))}));
// avoid conflict when clicking modal toggler while another one is open
var i=ne.findOne(".modal.show");i&&fn.getInstance(i).hide(),fn.getOrCreateInstance(n).toggle(this)})),ie(fn),
/**
   * jQuery
   */
T(fn);
/**
   * Constants
   */
var hn=".bs.offcanvas",dn=".data-api",_n="load"+hn+dn,gn="show",pn="showing",mn="hiding",vn=".offcanvas.show",bn="show"+hn,yn="shown"+hn,wn="hide"+hn,En="hidePrevented"+hn,An="hidden"+hn,kn="resize"+hn,Cn="click"+hn+dn,Tn="keydown.dismiss"+hn,Sn={backdrop:!0,keyboard:!0,scroll:!1},On={backdrop:"(boolean|string)",keyboard:"boolean",scroll:"boolean"},Ln=function(e){function t(t,n){var i;return(i=e.call(this,t,n)||this)._isShown=!1,i._backdrop=i._initializeBackDrop(),i._focustrap=i._initializeFocusTrap(),i._addEventListeners(),i}
// Getters
s(t,e);var n=t.prototype;
// Public
return n.toggle=function(e){return this._isShown?this.hide():this.show(e)},n.show=function(e){var t=this;if(!this._isShown&&!V.trigger(this._element,bn,{relatedTarget:e}).defaultPrevented){this._isShown=!0,this._backdrop.show(),this._config.scroll||(new Qt).hide(),this._element.setAttribute("aria-modal",!0),this._element.setAttribute("role","dialog"),this._element.classList.add(pn);this._queueCallback((function(){t._config.scroll&&!t._config.backdrop||t._focustrap.activate(),t._element.classList.add(gn),t._element.classList.remove(pn),V.trigger(t._element,yn,{relatedTarget:e})}),this._element,!0)}},n.hide=function(){var e=this;if(this._isShown&&!V.trigger(this._element,wn).defaultPrevented){this._focustrap.deactivate(),this._element.blur(),this._isShown=!1,this._element.classList.add(mn),this._backdrop.hide();this._queueCallback((function(){e._element.classList.remove(gn,mn),e._element.removeAttribute("aria-modal"),e._element.removeAttribute("role"),e._config.scroll||(new Qt).reset(),V.trigger(e._element,An)}),this._element,!0)}},n.dispose=function(){this._backdrop.dispose(),this._focustrap.deactivate(),e.prototype.dispose.call(this)}
// Private
,n._initializeBackDrop=function(){var e=this,t=Boolean(this._config.backdrop);return new jt({className:"offcanvas-backdrop",isVisible:t,isAnimated:!0,rootElement:this._element.parentNode,clickCallback:t?function(){"static"!==e._config.backdrop?e.hide():V.trigger(e._element,En)}:null})},n._initializeFocusTrap=function(){return new qt({trapElement:this._element})},n._addEventListeners=function(){var e=this;V.on(this._element,Tn,(function(t){"Escape"===t.key&&(e._config.keyboard?e.hide():V.trigger(e._element,En))}))}
// Static
,t.jQueryInterface=function(e){return this.each((function(){var n=t.getOrCreateInstance(this,e);if("string"==typeof e){if(void 0===n[e]||e.startsWith("_")||"constructor"===e)throw new TypeError('No method named "'+e+'"');n[e](this)}}))},r(t,null,[{key:"Default",get:function(){return Sn}},{key:"DefaultType",get:function(){return On}},{key:"NAME",get:function(){return"offcanvas"}}]),t}(ee);
/**
   * Data API implementation
   */
V.on(document,Cn,'[data-bs-toggle="offcanvas"]',(function(e){var t=this,n=ne.getElementFromSelector(this);if(["A","AREA"].includes(this.tagName)&&e.preventDefault(),!b(this)){V.one(n,An,(function(){
// focus on trigger when it is closed
v(t)&&t.focus()}));
// avoid conflict when clicking a toggler of an offcanvas, while another is open
var i=ne.findOne(vn);i&&i!==n&&Ln.getInstance(i).hide(),Ln.getOrCreateInstance(n).toggle(this)}})),V.on(window,_n,(function(){for(var e,t=u(ne.find(vn));!(e=t()).done;){var n=e.value;Ln.getOrCreateInstance(n).show()}})),V.on(window,kn,(function(){for(var e,t=u(ne.find("[aria-modal][class*=show][class*=offcanvas-]"));!(e=t()).done;){var n=e.value;"fixed"!==getComputedStyle(n).position&&Ln.getOrCreateInstance(n).hide()}})),ie(Ln),
/**
   * jQuery
   */
T(Ln);
/**
   * --------------------------------------------------------------------------
   * Bootstrap util/sanitizer.js
   * Licensed under MIT (https://github.com/twbs/bootstrap/blob/main/LICENSE)
   * --------------------------------------------------------------------------
   */
// js-docs-start allow-list
var In={
// Global attributes allowed on any supplied element below.
"*":["class","dir","id","lang","role",/^aria-[\w-]*$/i],a:["target","href","title","rel"],area:[],b:[],br:[],col:[],code:[],dd:[],div:[],dl:[],dt:[],em:[],hr:[],h1:[],h2:[],h3:[],h4:[],h5:[],h6:[],i:[],img:["src","srcset","alt","title","width","height"],li:[],ol:[],p:[],pre:[],s:[],small:[],span:[],sub:[],sup:[],strong:[],u:[],ul:[]},Nn=new Set(["background","cite","href","itemtype","longdesc","poster","src","xlink:href"]),Pn=/^(?!javascript:)(?:[a-z0-9+.-]+:|[^&:/?#]*(?:[/?#]|$))/i,Dn=function(e,t){var n=e.nodeName.toLowerCase();return t.includes(n)?!Nn.has(n)||Boolean(Pn.test(e.nodeValue)):t.filter((function(e){return e instanceof RegExp})).some((function(e){return e.test(n)}));
// Check if a regular expression validates the attribute.
};
/**
   * Constants
   */
var jn={allowList:In,content:{},
// { selector : text ,  selector2 : text2 , }
extraClass:"",html:!1,sanitize:!0,sanitizeFn:null,template:"<div></div>"},Mn={allowList:"object",content:"object",extraClass:"(string|function)",html:"boolean",sanitize:"boolean",sanitizeFn:"(null|function)",template:"string"},xn={entry:"(string|element|function|null)",selector:"(string|element)"},Fn=function(e){function t(t){var n;return(n=e.call(this)||this)._config=n._getConfig(t),n}
// Getters
s(t,e);var n=t.prototype;
// Public
return n.getContent=function(){var e=this;return Object.values(this._config.content).map((function(t){return e._resolvePossibleFunction(t)})).filter(Boolean)},n.hasContent=function(){return this.getContent().length>0},n.changeContent=function(e){return this._checkContent(e),this._config.content=o({},this._config.content,e),this},n.toHtml=function(){var e=document.createElement("div");e.innerHTML=this._maybeSanitize(this._config.template);for(var t=0,n=Object.entries(this._config.content);t<n.length;t++){var i=n[t],r=i[0],o=i[1];this._setContent(e,o,r)}var s,a=e.children[0],l=this._resolvePossibleFunction(this._config.extraClass);l&&(s=a.classList).add.apply(s,l.split(" "));return a}
// Private
,n._typeCheckConfig=function(t){e.prototype._typeCheckConfig.call(this,t),this._checkContent(t.content)},n._checkContent=function(t){for(var n=0,i=Object.entries(t);n<i.length;n++){var r=i[n],o=r[0],s=r[1];e.prototype._typeCheckConfig.call(this,{selector:o,entry:s},xn)}},n._setContent=function(e,t,n){var i=ne.findOne(n,e);i&&((t=this._resolvePossibleFunction(t))?p(t)?this._putElementInTemplate(m(t),i):this._config.html?i.innerHTML=this._maybeSanitize(t):i.textContent=t:i.remove())},n._maybeSanitize=function(e){return this._config.sanitize?function(e,t,n){var i;if(!e.length)return e;if(n&&"function"==typeof n)return n(e);for(var r,o=(new window.DOMParser).parseFromString(e,"text/html"),s=u((i=[]).concat.apply(i,o.body.querySelectorAll("*")));!(r=s()).done;){var a,l=r.value,c=l.nodeName.toLowerCase();if(Object.keys(t).includes(c))for(var f,h=(a=[]).concat.apply(a,l.attributes),d=[].concat(t["*"]||[],t[c]||[]),_=u(h);!(f=_()).done;){var g=f.value;Dn(g,d)||l.removeAttribute(g.nodeName)}else l.remove()}return o.body.innerHTML}(e,this._config.allowList,this._config.sanitizeFn):e},n._resolvePossibleFunction=function(e){return S(e,[this])},n._putElementInTemplate=function(e,t){if(this._config.html)return t.innerHTML="",void t.append(e);t.textContent=e.textContent},r(t,null,[{key:"Default",get:function(){return jn}},{key:"DefaultType",get:function(){return Mn}},{key:"NAME",get:function(){return"TemplateFactory"}}]),t}(Z),zn=new Set(["sanitize","allowList","sanitizeFn"]),Hn="fade",Bn="show",qn=".modal",Wn="hide.bs.modal",Rn="hover",Kn="focus",Vn={AUTO:"auto",TOP:"top",RIGHT:C()?"left":"right",BOTTOM:"bottom",LEFT:C()?"right":"left"},Qn={allowList:In,animation:!0,boundary:"clippingParents",container:!1,customClass:"",delay:0,fallbackPlacements:["top","right","bottom","left"],html:!1,offset:[0,6],placement:"top",popperConfig:null,sanitize:!0,sanitizeFn:null,selector:!1,template:'<div class="tooltip" role="tooltip"><div class="tooltip-arrow"></div><div class="tooltip-inner"></div></div>',title:"",trigger:"hover focus"},Xn={allowList:"object",animation:"boolean",boundary:"(string|element)",container:"(string|element|boolean)",customClass:"(string|function)",delay:"(number|object)",fallbackPlacements:"array",html:"boolean",offset:"(array|string|function)",placement:"(string|function)",popperConfig:"(null|object|function)",sanitize:"boolean",sanitizeFn:"(null|function)",selector:"(string|boolean)",template:"string",title:"(string|element|function)",trigger:"string"},Yn=function(e){function t(t,i){var r;if(void 0===n)throw new TypeError("Bootstrap's tooltips require Popper (https://popper.js.org)");
// Private
return(r=e.call(this,t,i)||this)._isEnabled=!0,r._timeout=0,r._isHovered=null,r._activeTrigger={},r._popper=null,r._templateFactory=null,r._newContent=null,
// Protected
r.tip=null,r._setListeners(),r._config.selector||r._fixTitle(),r}
// Getters
s(t,e);var i=t.prototype;
// Public
return i.enable=function(){this._isEnabled=!0},i.disable=function(){this._isEnabled=!1},i.toggleEnabled=function(){this._isEnabled=!this._isEnabled},i.toggle=function(){this._isEnabled&&(this._activeTrigger.click=!this._activeTrigger.click,this._isShown()?this._leave():this._enter())},i.dispose=function(){clearTimeout(this._timeout),V.off(this._element.closest(qn),Wn,this._hideModalHandler),this._element.getAttribute("data-bs-original-title")&&this._element.setAttribute("title",this._element.getAttribute("data-bs-original-title")),this._disposePopper(),e.prototype.dispose.call(this)},i.show=function(){var e=this;if("none"===this._element.style.display)throw new Error("Please use show on visible elements");if(this._isWithContent()&&this._isEnabled){var t=V.trigger(this._element,this.constructor.eventName("show")),n=(y(this._element)||this._element.ownerDocument.documentElement).contains(this._element);if(!t.defaultPrevented&&n){
// TODO: v6 remove this or make it optional
this._disposePopper();var i=this._getTipElement();this._element.setAttribute("aria-describedby",i.getAttribute("id"));var r=this._config.container;
// If this is a touch-enabled device we add extra
// empty mouseover listeners to the body's immediate children;
// only needed because of broken event delegation on iOS
// https://www.quirksmode.org/blog/archives/2014/02/mouse_event_bub.html
if(this._element.ownerDocument.documentElement.contains(this.tip)||(r.append(i),V.trigger(this._element,this.constructor.eventName("inserted"))),this._popper=this._createPopper(i),i.classList.add(Bn),"ontouchstart"in document.documentElement)for(var o,s=u((a=[]).concat.apply(a,document.body.children));!(o=s()).done;){var a,l=o.value;V.on(l,"mouseover",w)}this._queueCallback((function(){V.trigger(e._element,e.constructor.eventName("shown")),!1===e._isHovered&&e._leave(),e._isHovered=!1}),this.tip,this._isAnimated())}}},i.hide=function(){var e=this;if(this._isShown()&&!V.trigger(this._element,this.constructor.eventName("hide")).defaultPrevented){
// If this is a touch-enabled device we remove the extra
// empty mouseover listeners we added for iOS support
if(this._getTipElement().classList.remove(Bn),"ontouchstart"in document.documentElement)for(var t,n=u((i=[]).concat.apply(i,document.body.children));!(t=n()).done;){var i,r=t.value;V.off(r,"mouseover",w)}this._activeTrigger.click=!1,this._activeTrigger[Kn]=!1,this._activeTrigger[Rn]=!1,this._isHovered=null;this._queueCallback((function(){e._isWithActiveTrigger()||(e._isHovered||e._disposePopper(),e._element.removeAttribute("aria-describedby"),V.trigger(e._element,e.constructor.eventName("hidden")))}),this.tip,this._isAnimated())}},i.update=function(){this._popper&&this._popper.update()}
// Protected
,i._isWithContent=function(){return Boolean(this._getTitle())},i._getTipElement=function(){return this.tip||(this.tip=this._createTipElement(this._newContent||this._getContentForTemplate())),this.tip},i._createTipElement=function(e){var t=this._getTemplateFactory(e).toHtml();
// TODO: remove this check in v6
if(!t)return null;t.classList.remove(Hn,Bn),
// TODO: v6 the following can be achieved with CSS only
t.classList.add("bs-"+this.constructor.NAME+"-auto");var n=function(e){do{e+=Math.floor(1e6*Math.random())}while(document.getElementById(e));return e}(this.constructor.NAME).toString();return t.setAttribute("id",n),this._isAnimated()&&t.classList.add(Hn),t},i.setContent=function(e){this._newContent=e,this._isShown()&&(this._disposePopper(),this.show())},i._getTemplateFactory=function(e){return this._templateFactory?this._templateFactory.changeContent(e):this._templateFactory=new Fn(o({},this._config,{
// the `content` var has to be after `this._config`
// to override config.content in case of popover
content:e,extraClass:this._resolvePossibleFunction(this._config.customClass)})),this._templateFactory},i._getContentForTemplate=function(){var e;return(e={})[".tooltip-inner"]=this._getTitle(),e},i._getTitle=function(){return this._resolvePossibleFunction(this._config.title)||this._element.getAttribute("data-bs-original-title")}
// Private
,i._initializeOnDelegatedTarget=function(e){return this.constructor.getOrCreateInstance(e.delegateTarget,this._getDelegateConfig())},i._isAnimated=function(){return this._config.animation||this.tip&&this.tip.classList.contains(Hn)},i._isShown=function(){return this.tip&&this.tip.classList.contains(Bn)},i._createPopper=function(e){var t=S(this._config.placement,[this,e,this._element]),i=Vn[t.toUpperCase()];return n.createPopper(this._element,e,this._getPopperConfig(i))},i._getOffset=function(){var e=this,t=this._config.offset;return"string"==typeof t?t.split(",").map((function(e){return Number.parseInt(e,10)})):"function"==typeof t?function(n){return t(n,e._element)}:t},i._resolvePossibleFunction=function(e){return S(e,[this._element])},i._getPopperConfig=function(e){var t=this,n={placement:e,modifiers:[{name:"flip",options:{fallbackPlacements:this._config.fallbackPlacements}},{name:"offset",options:{offset:this._getOffset()}},{name:"preventOverflow",options:{boundary:this._config.boundary}},{name:"arrow",options:{element:"."+this.constructor.NAME+"-arrow"}},{name:"preSetPlacement",enabled:!0,phase:"beforeMain",fn:function(e){
// Pre-set Popper's placement attribute in order to read the arrow sizes properly.
// Otherwise, Popper mixes up the width and height dimensions since the initial arrow style is for top placement
t._getTipElement().setAttribute("data-popper-placement",e.state.placement)}}]};return o({},n,S(this._config.popperConfig,[n]))},i._setListeners=function(){for(var e,t=this,n=u(this._config.trigger.split(" "));!(e=n()).done;){var i=e.value;if("click"===i)V.on(this._element,this.constructor.eventName("click"),this._config.selector,(function(e){t._initializeOnDelegatedTarget(e).toggle()}));else if("manual"!==i){var r=i===Rn?this.constructor.eventName("mouseenter"):this.constructor.eventName("focusin"),o=i===Rn?this.constructor.eventName("mouseleave"):this.constructor.eventName("focusout");V.on(this._element,r,this._config.selector,(function(e){var n=t._initializeOnDelegatedTarget(e);n._activeTrigger["focusin"===e.type?Kn:Rn]=!0,n._enter()})),V.on(this._element,o,this._config.selector,(function(e){var n=t._initializeOnDelegatedTarget(e);n._activeTrigger["focusout"===e.type?Kn:Rn]=n._element.contains(e.relatedTarget),n._leave()}))}}this._hideModalHandler=function(){t._element&&t.hide()},V.on(this._element.closest(qn),Wn,this._hideModalHandler)},i._fixTitle=function(){var e=this._element.getAttribute("title");e&&(this._element.getAttribute("aria-label")||this._element.textContent.trim()||this._element.setAttribute("aria-label",e),this._element.setAttribute("data-bs-original-title",e),// DO NOT USE IT. Is only for backwards compatibility
this._element.removeAttribute("title"))},i._enter=function(){var e=this;this._isShown()||this._isHovered?this._isHovered=!0:(this._isHovered=!0,this._setTimeout((function(){e._isHovered&&e.show()}),this._config.delay.show))},i._leave=function(){var e=this;this._isWithActiveTrigger()||(this._isHovered=!1,this._setTimeout((function(){e._isHovered||e.hide()}),this._config.delay.hide))},i._setTimeout=function(e,t){clearTimeout(this._timeout),this._timeout=setTimeout(e,t)},i._isWithActiveTrigger=function(){return Object.values(this._activeTrigger).includes(!0)},i._getConfig=function(e){for(var t=G(this._element),n=0,i=Object.keys(t);n<i.length;n++){var r=i[n];zn.has(r)&&delete t[r]}return e=o({},t,"object"==typeof e&&e?e:{}),e=this._mergeConfigObj(e),e=this._configAfterMerge(e),this._typeCheckConfig(e),e},i._configAfterMerge=function(e){return e.container=!1===e.container?document.body:m(e.container),"number"==typeof e.delay&&(e.delay={show:e.delay,hide:e.delay}),"number"==typeof e.title&&(e.title=e.title.toString()),"number"==typeof e.content&&(e.content=e.content.toString()),e},i._getDelegateConfig=function(){for(var e={},t=0,n=Object.entries(this._config);t<n.length;t++){var i=n[t],r=i[0],o=i[1];this.constructor.Default[r]!==o&&(e[r]=o)}
// In the future can be replaced with:
// const keysWithDifferentValues = Object.entries(this._config).filter(entry => this.constructor.Default[entry[0]] !== this._config[entry[0]])
// `Object.fromEntries(keysWithDifferentValues)`
return e.selector=!1,e.trigger="manual",e},i._disposePopper=function(){this._popper&&(this._popper.destroy(),this._popper=null),this.tip&&(this.tip.remove(),this.tip=null)}
// Static
,t.jQueryInterface=function(e){return this.each((function(){var n=t.getOrCreateInstance(this,e);if("string"==typeof e){if(void 0===n[e])throw new TypeError('No method named "'+e+'"');n[e]()}}))},r(t,null,[{key:"Default",get:function(){return Qn}},{key:"DefaultType",get:function(){return Xn}},{key:"NAME",get:function(){return"tooltip"}}]),t}(ee);
/**
   * jQuery
   */
T(Yn);
/**
   * Constants
   */
var Un=o({},Yn.Default,{content:"",offset:[0,8],placement:"right",template:'<div class="popover" role="tooltip"><div class="popover-arrow"></div><h3 class="popover-header"></h3><div class="popover-body"></div></div>',trigger:"click"}),$n=o({},Yn.DefaultType,{content:"(null|string|element|function)"}),Gn=function(e){function t(){return e.apply(this,arguments)||this}s(t,e);var n=t.prototype;
// Overrides
return n._isWithContent=function(){return this._getTitle()||this._getContent()}
// Private
,n._getContentForTemplate=function(){var e;return(e={})[".popover-header"]=this._getTitle(),e[".popover-body"]=this._getContent(),e},n._getContent=function(){return this._resolvePossibleFunction(this._config.content)}
// Static
,t.jQueryInterface=function(e){return this.each((function(){var n=t.getOrCreateInstance(this,e);if("string"==typeof e){if(void 0===n[e])throw new TypeError('No method named "'+e+'"');n[e]()}}))},r(t,null,[{key:"Default",get:
// Getters
function(){return Un}},{key:"DefaultType",get:function(){return $n}},{key:"NAME",get:function(){return"popover"}}]),t}(Yn);
/**
   * jQuery
   */
T(Gn);
/**
   * Constants
   */
var Jn=".bs.scrollspy",Zn="activate"+Jn,ei="click"+Jn,ti="load"+Jn+".data-api",ni="active",ii="[href]",ri=".nav-link",oi=ri+", .nav-item > "+ri+", .list-group-item",si={offset:null,
// TODO: v6 @deprecated, keep it for backwards compatibility reasons
rootMargin:"0px 0px -25%",smoothScroll:!1,target:null,threshold:[.1,.5,1]},ai={offset:"(number|null)",
// TODO v6 @deprecated, keep it for backwards compatibility reasons
rootMargin:"string",smoothScroll:"boolean",target:"element",threshold:"array"},li=function(e){function t(t,n){var i;// initialize
// this._element is the observablesContainer and config.target the menu links wrapper
return(i=e.call(this,t,n)||this)._targetLinks=new Map,i._observableSections=new Map,i._rootElement="visible"===getComputedStyle(i._element).overflowY?null:i._element,i._activeTarget=null,i._observer=null,i._previousScrollData={visibleEntryTop:0,parentScrollTop:0},i.refresh(),i}
// Getters
s(t,e);var n=t.prototype;
// Public
return n.refresh=function(){this._initializeTargetsAndObservables(),this._maybeEnableSmoothScroll(),this._observer?this._observer.disconnect():this._observer=this._getNewObserver();for(var e,t=u(this._observableSections.values());!(e=t()).done;){var n=e.value;this._observer.observe(n)}},n.dispose=function(){this._observer.disconnect(),e.prototype.dispose.call(this)}
// Private
,n._configAfterMerge=function(e){
// TODO: on v6 target should be given explicitly & remove the {target: 'ss-target'} case
return e.target=m(e.target)||document.body,
// TODO: v6 Only for backwards compatibility reasons. Use rootMargin only
e.rootMargin=e.offset?e.offset+"px 0px -30%":e.rootMargin,"string"==typeof e.threshold&&(e.threshold=e.threshold.split(",").map((function(e){return Number.parseFloat(e)}))),e},n._maybeEnableSmoothScroll=function(){var e=this;this._config.smoothScroll&&(
// unregister any previous listeners
V.off(this._config.target,ei),V.on(this._config.target,ei,ii,(function(t){var n=e._observableSections.get(t.target.hash);if(n){t.preventDefault();var i=e._rootElement||window,r=n.offsetTop-e._element.offsetTop;if(i.scrollTo)return void i.scrollTo({top:r,behavior:"smooth"});
// Chrome 60 doesn't support `scrollTo`
i.scrollTop=r}})))},n._getNewObserver=function(){var e=this,t={root:this._rootElement,threshold:this._config.threshold,rootMargin:this._config.rootMargin};return new IntersectionObserver((function(t){return e._observerCallback(t)}),t)}
// The logic of selection
,n._observerCallback=function(e){var t=this,n=function(e){return t._targetLinks.get("#"+e.target.id)},i=function(e){t._previousScrollData.visibleEntryTop=e.target.offsetTop,t._process(n(e))},r=(this._rootElement||document.documentElement).scrollTop,o=r>=this._previousScrollData.parentScrollTop;this._previousScrollData.parentScrollTop=r;for(var s,a=u(e);!(s=a()).done;){var l=s.value;if(l.isIntersecting){var c=l.target.offsetTop>=this._previousScrollData.visibleEntryTop;
// if we are scrolling down, pick the bigger offsetTop
if(o&&c){
// if parent isn't scrolled, let's keep the first visible item, breaking the iteration
if(i(l),!r)return}else
// if we are scrolling up, pick the smallest offsetTop
o||c||i(l)}else this._activeTarget=null,this._clearActiveClass(n(l))}},n._initializeTargetsAndObservables=function(){this._targetLinks=new Map,this._observableSections=new Map;for(var e,t=u(ne.find(ii,this._config.target));!(e=t()).done;){var n=e.value;
// ensure that the anchor has an id and is not disabled
if(n.hash&&!b(n)){var i=ne.findOne(decodeURI(n.hash),this._element);
// ensure that the observableSection exists & is visible
v(i)&&(this._targetLinks.set(decodeURI(n.hash),n),this._observableSections.set(n.hash,i))}}},n._process=function(e){this._activeTarget!==e&&(this._clearActiveClass(this._config.target),this._activeTarget=e,e.classList.add(ni),this._activateParents(e),V.trigger(this._element,Zn,{relatedTarget:e}))},n._activateParents=function(e){
// Activate dropdown parents
if(e.classList.contains("dropdown-item"))ne.findOne(".dropdown-toggle",e.closest(".dropdown")).classList.add(ni);else for(var t,n=u(ne.parents(e,".nav, .list-group"));!(t=n()).done;)
// Set triggered links parents as active
// With both <ul> and <nav> markup a parent is the previous sibling of any nav ancestor
for(var i,r=t.value,o=u(ne.prev(r,oi));!(i=o()).done;){i.value.classList.add(ni)}},n._clearActiveClass=function(e){e.classList.remove(ni);for(var t,n=u(ne.find(ii+"."+ni,e));!(t=n()).done;){t.value.classList.remove(ni)}}
// Static
,t.jQueryInterface=function(e){return this.each((function(){var n=t.getOrCreateInstance(this,e);if("string"==typeof e){if(void 0===n[e]||e.startsWith("_")||"constructor"===e)throw new TypeError('No method named "'+e+'"');n[e]()}}))},r(t,null,[{key:"Default",get:function(){return si}},{key:"DefaultType",get:function(){return ai}},{key:"NAME",get:function(){return"scrollspy"}}]),t}(ee);
/**
   * Data API implementation
   */
V.on(window,ti,(function(){for(var e,t=u(ne.find('[data-bs-spy="scroll"]'));!(e=t()).done;){var n=e.value;li.getOrCreateInstance(n)}})),
/**
   * jQuery
   */
T(li);
/**
   * Constants
   */
var ci=".bs.tab",ui="hide"+ci,fi="hidden"+ci,hi="show"+ci,di="shown"+ci,_i="click"+ci,gi="keydown"+ci,pi="load"+ci,mi="ArrowLeft",vi="ArrowRight",bi="ArrowUp",yi="ArrowDown",wi="Home",Ei="End",Ai="active",ki="fade",Ci="show",Ti=".dropdown-toggle",Si=":not("+Ti+")",Oi='.list-group, .nav, [role="tablist"]',Li='[data-bs-toggle="tab"], [data-bs-toggle="pill"], [data-bs-toggle="list"]',Ii=".nav-link"+Si+", .list-group-item"+Si+', [role="tab"]'+Si+", "+Li,Ni="."+Ai+'[data-bs-toggle="tab"], .'+Ai+'[data-bs-toggle="pill"], .'+Ai+'[data-bs-toggle="list"]',Pi=function(e){function t(t){var n;return(n=e.call(this,t)||this)._parent=n._element.closest(Oi),n._parent?(
// Set up initial aria attributes
n._setInitialAttributes(n._parent,n._getChildren()),V.on(n._element,gi,(function(e){return n._keydown(e)})),n):l(n)}
// Getters
s(t,e);var n=t.prototype;
// Public
return n.show=function(){
// Shows this elem and deactivate the active sibling if exists
var e=this._element;if(!this._elemIsActive(e)){
// Search for active tab on same parent to deactivate it
var t=this._getActiveElem(),n=t?V.trigger(t,ui,{relatedTarget:e}):null;V.trigger(e,hi,{relatedTarget:t}).defaultPrevented||n&&n.defaultPrevented||(this._deactivate(t,e),this._activate(e,t))}}
// Private
,n._activate=function(e,t){var n=this;if(e){e.classList.add(Ai),this._activate(ne.getElementFromSelector(e));this._queueCallback((function(){"tab"===e.getAttribute("role")?(e.removeAttribute("tabindex"),e.setAttribute("aria-selected",!0),n._toggleDropDown(e,!0),V.trigger(e,di,{relatedTarget:t})):e.classList.add(Ci)}),e,e.classList.contains(ki))}},n._deactivate=function(e,t){var n=this;if(e){e.classList.remove(Ai),e.blur(),this._deactivate(ne.getElementFromSelector(e));this._queueCallback((function(){"tab"===e.getAttribute("role")?(e.setAttribute("aria-selected",!1),e.setAttribute("tabindex","-1"),n._toggleDropDown(e,!1),V.trigger(e,fi,{relatedTarget:t})):e.classList.remove(Ci)}),e,e.classList.contains(ki))}},n._keydown=function(e){if([mi,vi,bi,yi,wi,Ei].includes(e.key)){e.stopPropagation(),// stopPropagation/preventDefault both added to support up/down keys without scrolling the page
e.preventDefault();var n,i=this._getChildren().filter((function(e){return!b(e)}));if([wi,Ei].includes(e.key))n=i[e.key===wi?0:i.length-1];else{var r=[vi,yi].includes(e.key);n=L(i,e.target,r,!0)}n&&(n.focus({preventScroll:!0}),t.getOrCreateInstance(n).show())}},n._getChildren=function(){
// collection of inner elements
return ne.find(Ii,this._parent)},n._getActiveElem=function(){var e=this;return this._getChildren().find((function(t){return e._elemIsActive(t)}))||null},n._setInitialAttributes=function(e,t){this._setAttributeIfNotExists(e,"role","tablist");for(var n,i=u(t);!(n=i()).done;){var r=n.value;this._setInitialAttributesOnChild(r)}},n._setInitialAttributesOnChild=function(e){e=this._getInnerElement(e);var t=this._elemIsActive(e),n=this._getOuterElement(e);e.setAttribute("aria-selected",t),n!==e&&this._setAttributeIfNotExists(n,"role","presentation"),t||e.setAttribute("tabindex","-1"),this._setAttributeIfNotExists(e,"role","tab"),
// set attributes to the related panel too
this._setInitialAttributesOnTargetPanel(e)},n._setInitialAttributesOnTargetPanel=function(e){var t=ne.getElementFromSelector(e);t&&(this._setAttributeIfNotExists(t,"role","tabpanel"),e.id&&this._setAttributeIfNotExists(t,"aria-labelledby",""+e.id))},n._toggleDropDown=function(e,t){var n=this._getOuterElement(e);if(n.classList.contains("dropdown")){var i=function(e,i){var r=ne.findOne(e,n);r&&r.classList.toggle(i,t)};i(Ti,Ai),i(".dropdown-menu",Ci),n.setAttribute("aria-expanded",t)}},n._setAttributeIfNotExists=function(e,t,n){e.hasAttribute(t)||e.setAttribute(t,n)},n._elemIsActive=function(e){return e.classList.contains(Ai)}
// Try to get the inner element (usually the .nav-link)
,n._getInnerElement=function(e){return e.matches(Ii)?e:ne.findOne(Ii,e)}
// Try to get the outer element (usually the .nav-item)
,n._getOuterElement=function(e){return e.closest(".nav-item, .list-group-item")||e}
// Static
,t.jQueryInterface=function(e){return this.each((function(){var n=t.getOrCreateInstance(this);if("string"==typeof e){if(void 0===n[e]||e.startsWith("_")||"constructor"===e)throw new TypeError('No method named "'+e+'"');n[e]()}}))},r(t,null,[{key:"NAME",get:function(){return"tab"}}]),t}(ee);
/**
   * Data API implementation
   */
V.on(document,_i,Li,(function(e){["A","AREA"].includes(this.tagName)&&e.preventDefault(),b(this)||Pi.getOrCreateInstance(this).show()})),
/**
   * Initialize on focus
   */
V.on(window,pi,(function(){for(var e,t=u(ne.find(Ni));!(e=t()).done;){var n=e.value;Pi.getOrCreateInstance(n)}})),
/**
   * jQuery
   */
T(Pi);
/**
   * Constants
   */
var Di=".bs.toast",ji="mouseover"+Di,Mi="mouseout"+Di,xi="focusin"+Di,Fi="focusout"+Di,zi="hide"+Di,Hi="hidden"+Di,Bi="show"+Di,qi="shown"+Di,Wi="hide",Ri="show",Ki="showing",Vi={animation:"boolean",autohide:"boolean",delay:"number"},Qi={animation:!0,autohide:!0,delay:5e3},Xi=function(e){function t(t,n){var i;return(i=e.call(this,t,n)||this)._timeout=null,i._hasMouseInteraction=!1,i._hasKeyboardInteraction=!1,i._setListeners(),i}
// Getters
s(t,e);var n=t.prototype;
// Public
return n.show=function(){var e=this;if(!V.trigger(this._element,Bi).defaultPrevented){this._clearTimeout(),this._config.animation&&this._element.classList.add("fade");this._element.classList.remove(Wi),// @deprecated
E(this._element),this._element.classList.add(Ri,Ki),this._queueCallback((function(){e._element.classList.remove(Ki),V.trigger(e._element,qi),e._maybeScheduleHide()}),this._element,this._config.animation)}},n.hide=function(){var e=this;if(this.isShown()&&!V.trigger(this._element,zi).defaultPrevented){this._element.classList.add(Ki),this._queueCallback((function(){e._element.classList.add(Wi),// @deprecated
e._element.classList.remove(Ki,Ri),V.trigger(e._element,Hi)}),this._element,this._config.animation)}},n.dispose=function(){this._clearTimeout(),this.isShown()&&this._element.classList.remove(Ri),e.prototype.dispose.call(this)},n.isShown=function(){return this._element.classList.contains(Ri)}
// Private
,n._maybeScheduleHide=function(){var e=this;this._config.autohide&&(this._hasMouseInteraction||this._hasKeyboardInteraction||(this._timeout=setTimeout((function(){e.hide()}),this._config.delay)))},n._onInteraction=function(e,t){switch(e.type){case"mouseover":case"mouseout":this._hasMouseInteraction=t;break;case"focusin":case"focusout":this._hasKeyboardInteraction=t}if(t)this._clearTimeout();else{var n=e.relatedTarget;this._element===n||this._element.contains(n)||this._maybeScheduleHide()}},n._setListeners=function(){var e=this;V.on(this._element,ji,(function(t){return e._onInteraction(t,!0)})),V.on(this._element,Mi,(function(t){return e._onInteraction(t,!1)})),V.on(this._element,xi,(function(t){return e._onInteraction(t,!0)})),V.on(this._element,Fi,(function(t){return e._onInteraction(t,!1)}))},n._clearTimeout=function(){clearTimeout(this._timeout),this._timeout=null}
// Static
,t.jQueryInterface=function(e){return this.each((function(){var n=t.getOrCreateInstance(this,e);if("string"==typeof e){if(void 0===n[e])throw new TypeError('No method named "'+e+'"');n[e](this)}}))},r(t,null,[{key:"Default",get:function(){return Qi}},{key:"DefaultType",get:function(){return Vi}},{key:"NAME",get:function(){return"toast"}}]),t}(ee);
/**
   * Data API implementation
   */
ie(Xi),
/**
   * jQuery
   */
T(Xi);return{Alert:ae,Button:ce,Carousel:Re,Collapse:it,Dropdown:Ot,Modal:fn,Offcanvas:Ln,Popover:Gn,ScrollSpy:li,Tab:Pi,Toast:Xi,Tooltip:Yn}}));
//# sourceMappingURL=bootstrap.js.map
//# sourceMappingURL=bootstrap.min.js.map